dcsimg
Linux Today: Linux News On Internet Time.




More on LinuxToday


Pinehead.com: Upgrading libc6 to glibc 2.2 in Debian

May 05, 2001, 14:00 (4 Talkback[s])

WEBINAR:
On-Demand

Desktop-as-a-Service Designed for Any Cloud ? Nutanix Frame


[ Thanks to Gothstone for this link. ]

Problem: Good old Debian only uses glibc2.1, and you have something that needs 2.2. Apt-get insists you have the newest version.

Solution: Tell apt-get to get it from a different, but compatable distribution, namely progeny. Progeny is a new dist of debian, with many new features, including a new version of libc6.

1. Add a line to the top of the /etc/apt/sources.list file: deb http://archive.progeny.com/progeny main contrib
2. Run the command: # apt-get update
3. Run the command: # apt-get upgrade libc6
4. Let it do anything it suggests

Complete Story